function [parValue]=read_parArray(dataArray,paramName)
%clean-up the parameter name
pName=['##$',strtrim(paramName),'='];

%find the position
pos_ind = zeros(1,size(dataArray,1));
for ind = 1:size(dataArray,1)
    pos_ind(1,ind) = numel(strfind(dataArray{ind, 1}, pName));
end
pos_param = find(pos_ind);

%% Write in array
if numel(strfind(dataArray{pos_param, 1}, '=('))
    parValue = dataArray{pos_param +1, 1};
else
    parValue = dataArray{pos_param, 1};
end

parValue = split(parValue,'=');
parValue = parValue(end,1);
parValue = parValue{1,1};
